Subject: RE: Review comments on IPv6 for Second and Third Generation Cellu lar Hosts

From: [email-masked]
Date: Tue, 14 May 2002 21:40:38 +0300

Hi Thomas,

> >   > Does this (paraphrased) assessment seem correct? I wouldn't 
> >   > want 3GPP to
> >   > mandate a behaviour that they would believe contributed to 
> >   > identity privacy
> >   > but, based on some other procedure, did not.
> 
> > => But the person tracking would have to know 
> > that the host is a 3GPP host.
> 
> Isn't this fairly trivial todo? I.e., the cellphone will likely have
> an IPv6 address assigned out of a address block that is widely-known
> to belong to a carrier providing 3G IPv6 service. Right?

With regards to this, I think we came to agreement on new text for
the section, something that would look like this:

2.7.1 IP version 6 over PPP in 3GPP

  A 3GPP cellular host must support the IPv6CP interface identifier option. 
  This option is needed to be able to connect other non-3GPP devices to the 
  Internet using a PPP link between the 3GPP device (MT) and other devices 
  (TE, e.g. a laptop). The MT performs the PDP Context activation based on 
  a request from the TE. This results in an interface identifier to be 
  suggested by the MT to the TE, using the IPv6CP option. To avoid any 
  duplication in link-local addresses between the TE and the GGSN, the 
  MT must always reject other suggested interface identifiers by the TE. 
  This results in the TE always using the interface identifier suggested by 
  the GGSN for its link-local address. 

  The rejection of interface identifiers suggested by the TE is only done 
  for creation of link local addresses, according to 3GPP standards. Privacy 
  addresses [RFC-3041] can be used without an trouble because the cellular 
  host gets a /64 prefix and the GGSN does not configure any global addresses 
  on its point-to-point link towards the cellular host.

John

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Thomas Narten <[email-masked]>
Date: Tue, 14 May 2002 14:49:40 -0400

> the section, something that would look like this:

I'm OK with this.

My comment was really more to do with this:

>   > I saw a privacy comment in the past (sorry, can't source the
>   > original author) that suggested that because of the procedure
>   > for address assignment where only one host allocates addresses
>   > within the prefix that there was no privacy benefit to
>   > regenerating interface identifier portion of the addresses since
>   > (for example) traffic analysis would just be done on prefix
>   > matching.

"no privacy benefit" might be a bit strong. But I would tend to agree
that the benefits are limited if in fact the /64 identifies the
handset.

>   > Does this (paraphrased) assessment seem correct? I wouldn't want
>   > 3GPP to mandate a behaviour that they would believe contributed
>   > to identity privacy but, based on some other procedure, did not.

AFAIK, 3GPP is not mandating the use of temporary addresses.
draft-ietf-ipv6-cellular-host-01.txt makes this pretty clear.

> => But the person tracking would have to know that the host is a
> 3GPP host.

This seems like it might well be straightforward information to determine.

> Otherwise, they won't know that it has a prefix for itself.  BTW,
> this is not specific to 3GPP, the same can be done with home
> networks. A house that gets a /48 can also be tracked by the same
> method.

Agreed. Temporary addresses are just one technique, that has some
benefits in some environments. But there also limitations.

Thomas